## org.eclipse.datatools.sqltools.result.internal.export
Interface IOutputterDescriptor

All Known Implementing Classes:
  OutputterDescriptor

    public interface IOutputterDescriptor

An instance of this class describes a result outputter

Author:
  Dafan Yang

Method Summary
`java.lang.String` `getDisplayString()` Returns the display string of this outputter
`java.lang.String` `getExtensionFilterDisplayString()` Returns the display string for the extension fitler
`java.lang.String` `getExtFilterString()` Returns the file filter string
`java.lang.String` `getFileExtension()` Returns the file extension which the outputter supports
`AbstractOutputter` `getOutputter()` Returns the outputter
`java.lang.String` `getTypeId()` Returns the type id of the outputter
`java.lang.String` `getTypeName()` Returns the type name of the outputter
`boolean` `supportDelimiter()` Returns whether the outputter support user-defined delimiter
`boolean` `supportXMLResult()` Returns whether the outputter support XML result set

Method Detail

### getTypeId

    java.lang.String getTypeId()

  Returns the type id of the outputter

  Returns:
    the type id

### getTypeName

    java.lang.String getTypeName()

  Returns the type name of the outputter

  Returns:
    the type name

### getFileExtension

    java.lang.String getFileExtension()

  Returns the file extension which the outputter supports

  Returns:
    the file extension

### supportDelimiter

    boolean supportDelimiter()

  Returns whether the outputter support user-defined delimiter

  Returns:
    whether the outputter support user-defined delimiter

### supportXMLResult

    boolean supportXMLResult()

  Returns whether the outputter support XML result set

  Returns:
    whether the outputter support XML result set

### getOutputter

    AbstractOutputter getOutputter()

  Returns the outputter

  Returns:
    the outputter

### getDisplayString

    java.lang.String getDisplayString()

  Returns the display string of this outputter

  Returns:
    the display string of this outputter

### getExtensionFilterDisplayString

    java.lang.String getExtensionFilterDisplayString()

  Returns the display string for the extension fitler

  Returns:
    the display string for the extension fitler

### getExtFilterString

    java.lang.String getExtFilterString()

  Returns the file filter string

  Returns: